---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/v5-EN/llms.txt
---

# Provide a single resource - ImportSchedule

Retrieves a ImportSchedule resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/plannings/imports/{id}": {
      "get": {
        "operationId": "getImportScheduleItem",
        "tags": [
          "Data Flow"
        ],
        "responses": {
          "200": {
            "description": "ImportSchedule resource",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/ImportSchedule.ImportScheduleOutput.jsonld-schedule.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/ImportSchedule.ImportScheduleOutput-schedule.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ImportSchedule.ImportScheduleOutput-schedule.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/ImportSchedule.ImportScheduleOutput-schedule.output"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found"
          }
        },
        "summary": "Provide a single resource - ImportSchedule",
        "description": "Retrieves a ImportSchedule resource.",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "description": "Resource identifier",
            "required": true,
            "deprecated": false,
            "allowEmptyValue": false,
            "schema": {
              "type": "string"
            },
            "style": "simple",
            "explode": false,
            "allowReserved": false
          }
        ],
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "ImportSchedule.ImportScheduleOutput-schedule.output": {
        "type": "object",
        "properties": {
          "import": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "cronExpression": {
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "dateCreated": {
            "type": "string",
            "format": "date-time"
          },
          "dateModified": {
            "type": "string",
            "format": "date-time"
          },
          "createdBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-schedule.output"
              }
            ]
          },
          "updatedBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput-schedule.output"
              }
            ]
          },
          "id": {
            "type": "string"
          }
        }
      },
      "ImportSchedule.ImportScheduleOutput.jsonld-schedule.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "import": {
            "type": "object",
            "additionalProperties": {
              "type": "string"
            }
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string",
            "nullable": true
          },
          "cronExpression": {
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "status": {
            "type": "string"
          },
          "dateCreated": {
            "type": "string",
            "format": "date-time"
          },
          "dateModified": {
            "type": "string",
            "format": "date-time"
          },
          "createdBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-schedule.output"
              }
            ]
          },
          "updatedBy": {
            "nullable": true,
            "anyOf": [
              {
                "$ref": "#/components/schemas/User.UserOutput.jsonld-schedule.output"
              }
            ]
          },
          "id": {
            "type": "string"
          }
        }
      },
      "User.UserOutput-schedule.output": {
        "type": "object",
        "properties": {
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          }
        }
      },
      "User.UserOutput.jsonld-schedule.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ]
}
```